Loading...
Searching...
No Matches
Exiv2::Rw2Parser Class Reference

Stateless parser class for data in RW2 format. Images use this class to decode and encode RW2 data. Only decoding is currently implemented. See class TiffParser for details. More...

`#include <rw2image.hpp>`

## Static Public Member Functions

static ByteOrder | decode (ExifData &exifData, IptcData &iptcData, XmpData &xmpData, const byte *pData, size_t size)
| Decode metadata from a buffer pData of length size with data in RW2 format to the provided metadata containers. See TiffParser::decode().

## Detailed Description

Stateless parser class for data in RW2 format. Images use this class to decode and encode RW2 data. Only decoding is currently implemented. See class TiffParser for details.

The documentation for this class was generated from the following files:

- rw2image.hpp
- rw2image.cpp